import {httpApi} from "../../../request/httpApi";

export default {
    //查询容器分类集合
    async queryClassification(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/container/classification/list',
            method: 'get',
            params: form
        }, msg);
    },
    //试验容器新增或修改
    async submitClassification(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/container/classification/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //删除容器中的字段
    async removeField(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/container/data/field/remove',
            method: 'post',
            params: form
        }, msg);
    },
    //删除容器
    async removeClassification(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/container/classification/remove',
            method: 'post',
            params: form
        }, msg);
    },
    //根据容器类型条件分页查询
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/container/data/page',
            method: 'post',
            data: form
        }, msg);
    },
    //容器数据新增或修改
    async submitForm(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/container/data/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //容器数据删除
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/container/data/remove',
            method: 'post',
            params: form
        }, msg);
    },
    //校验容器数据编号是否唯一
    async verification(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/container/data/verification-no',
            method: 'post',
            data: form
        }, msg);
    },
}
